## guitarix 0.41.0+dfsg1

=== wscript ===
#! /usr/bin/env python
# encoding: utf-8

import sys, os, re, shutil
from waflib import Context, Build, Utils, Options, Logs, Configure, Scripting, Task
from waflib.Errors import WafError, ConfigurationError
from waflib.TaskGen import extension, taskgen_method, feature, before_method, after_method

# Waf version check, for global waf installs

if Context.WAFVERSION[:3] != '2.0':
    print('Incompatible Waf, use 2.0')
    sys.exit (1)

# these variables are mandatory ('/' are converted automatically)
srcdir = '.'
blddir = 'build'

# used by waf dist and waf build
VERSION='0.41.0'
APPNAME='guitarix'

Options.OptionsContext.gxload = \
    Configure.ConfigurationContext.gxload = \
        Build.BuildContext.gxload = \
            lambda ctx, tool: ctx.load(tool, tooldir='waftools')

check_in_faust_version = '2.20.2'  # this Faust should be used for checked in generated files
other_faust_versions = ['2.15.11'] # other Faust versions known to work

g_maxlen = 40 # maximum width of message for 2-column display

fontmsg = """
RobotoCondensed font not found: please install the fonts-roboto package from your distribution (recommended)
or use --install-roboto-font to install the included roboto font."""

################################################################
# options defined for waf configure
################################################################

def options(opt):

    def add_enable_option (option, desc, group=None, disable=False):
        if group == None:
            group = opt
        option_ = option.replace ('-', '_')
        group.add_option ('--enable-' + option, action='store_true',
            default=False, help='Enable ' + desc, dest='enable_' + option_)
        group.add_option ('--disable-' + option, action='store_true',
            default=disable, help='Disable ' + desc, dest='disable_' + option_)

    opt.add_option('--with-gcov',action='store_true',help='Use gcov for profiling',default=False)
    opt.load('intltool')

    opt.add_option('--no-standalone',
                    action='store_false',
                    dest='standalone',
                    default=True,
                    help=("Don't build standalone (JACK) application"))

    group = opt.add_option_group ('Localization and documentation', '')
    add_enable_option ('nls', 'native language support', group)

    opt.load('compiler_cxx')

    comp = opt.get_option_group("Configuration options")

    opt.gxload('cpu_optimization')

    comp.add_option('--enable-lfs',
                    action='store_const',
                    default=False,
                    const=True,
                    help='enable Large File Support (LFS)  ')

    comp.add_option('--no-desktop-update',
                    action='store_const',
                    default=False, #'-fomit-frame-pointer -ffast-math -fstrength-reduce -pipe',
                    const=True,
                    help='dont automatically update desktop database')


    opt.recurse('libgxw/gxw')
    opt.recurse('libgxwmm/gxwmm')

    opt.gxload('zita-resampler')
    opt.gxload('zita-convolver')

    comp.add_option('--libdir',
                   type='string',
                   default='',
                   dest='libdir',
                   help=('library install path '),
                   )

    opt.gxload('faust')

    ladspa = opt.add_option_group("LADSPA Options (installing ladspa modules)")

    ladspa.add_option('--ladspa',
                    dest='ladspa',
                    action='store_true',
                    default=False,
                    help="Build LADSPA plugins (Default no)")

    ladspa.add_option('--new-ladspa',
                    dest='new_ladspa',
                    action='store_true',
                    default=False,
                    help=("Build new LADSPA plugins (Default no)"))

    ladspa.add_option('--ladspadir',
                    type='string',
                    help='LADSPA plugin directory [Default: <prefix>/lib/ladspa]')

    opt.gxload('lv2')
    opt.gxload('robotofont')

    opt.recurse('pygxw')
    opt.recurse('glade-gxw')

    opt.load('compiler_c') # for pygxw and glade-gxw

    opt.add_option('--dist-tree',
                   type='string',
                   dest='dist_tree',
                   help=("option for 'dist' command: git tree-ish to build"
                         " the archive from [Default: %s]" % 'V%s' % VERSION))

    opt.recurse('src/gx_head')


################################################################
# waf configure
################################################################

################################################################
# configuration display helper functions
#

def print_msg(msg, nl=True):
    s = sys.stdout
    if nl:
        t = "\n"
    else:
        t = " "
    s.write(msg+t)

# a bit of waf display formatting
@Configure.conf
def display_msg(msg, status = None, color = None):
    sr = msg
    global g_maxlen
    g_maxlen = max(g_maxlen, len(msg))
    if status is not None:
        print_msg("%s :" % msg.ljust(g_maxlen),False)
        Logs.pprint(color, status)
    else:
        print_msg("%s" % msg.ljust(g_maxlen))

def error_msg(msg):
    Utils.eprint('RED', msg)

def display_feature(msg, build):
    if build:
        display_msg(msg, "yes", 'CYAN')
    else:
        display_msg(msg, "no", 'YELLOW')

################################################################
# configuration utility functions
#

def option_enabled (option):
    if getattr (Options.options, 'enable_' + option):
        return True
    if getattr (Options.options, 'disable_' + option):
        return False
    return True

@Configure.conf
def define_with_env(self, varname, value):
    self.env[varname] = value
    self.define(varname, value)

################################################################
# configuration helper functions
#
def check_boost(conf):
    code="""
    #include <boost/system/error_code.hpp>
    int main() { boost::system::error_code c; }
    """
    msg = "Checking for boost-system "
    conf.check_cxx(msg = msg, fragment=code, lib="boost_system", uselib_store="BOOST_SYSTEM", mandatory=1,includes='/opt/local/include', libpath='/opt/local/lib')
    # some boost (>1.49) versions depend on boost-system so we will check for it first
    # and later link against boost_system were boost headers are included.
    boost_atleast_version = 104200
    boost_atleast_vermsg = "1.42"
    code="""
    #include <boost/version.hpp>
    #include <boost/format.hpp>
    #include <boost/thread.hpp>
    #if BOOST_VERSION < %d
    #error
    #endif
    int main(){ return 0; }
    """ % boost_atleast_version
    msg = "Checking for boost >= %s" % boost_atleast_vermsg
    conf.check_cxx(msg = msg, fragment=code, lib="boost_system", mandatory=1)
    #conf.check_cxx(msg = msg, fragment=code, lib="boost_system-mt", mandatory=1,includes='/opt/local/include', libpath='/opt/local/lib')

    msg = "Checking for boost_iostreams >= %s" % boost_atleast_vermsg
    conf.check_cxx(msg = msg, fragment=code, lib=["boost_iostreams","boost_system"], uselib_store="BOOST_IOSTREAMS", mandatory=1)
    #conf.check_cxx(msg = msg, fragment=code, lib=["boost_iostreams","boost_system-mt"], uselib_store="BOOST_IOSTREAMS", mandatory=1, includes='/opt/local/include', libpath='/opt/local/lib')
 
    #try:
    #    conf.check_cxx(
    #        msg = msg % "", fragment=code, lib="boost_thread", uselib_store="BOOST_THREAD",
    #        errmsg="not found, trying boost_thread-mt", mandatory=1)
    #except ConfigurationError:
    #    conf.check_cxx(
    #        msg = msg % "-mt",fragment=code, lib="boost_thread-mt",
    #        uselib_store="BOOST_THREAD", mandatory=1)
    
    # not needed: with boost 1.42 Guitarix doesn't generate code which
    #             references the boost threading lib
    #msg = "Checking for boost_thread%%s >= %s" % boost_atleast_vermsg
    #try:
    #    conf.check_cxx(
    #        msg = msg % "", fragment=code, lib="boost_thread", uselib_store="BOOST_THREAD",
    #        errmsg="not found, trying boost_thread-mt", mandatory=1)
    #except ConfigurationError:
    #    conf.check_cxx(
    #        msg = msg % "-mt",fragment=code, lib="boost_thread-mt",
    #        uselib_store="BOOST_THREAD", mandatory=1)


################################################################
# guitarix waf configuration
#

def configure(conf):
    conf.gxload('bugfixes')
    opt = Options.options

    if opt.disable_sse and opt.optimization:
        display_msg("configuration error", " cant use --disable-sse and --optimization together", 'RED')
        sys.exit(1)

    conf.env['SHAREDIR'] = conf.env['PREFIX'] + '/share'

    if 'LINGUAS' in os.environ:
        conf.env['LINGUAS'] = os.environ['LINGUAS']

    platform = Utils.unversioned_sys_platform()
    conf.env['IS_MACOSX'] = platform == 'darwin'
    conf.env['IS_LINUX'] = platform == 'linux' or platform == 'posix'
    conf.env['IS_SUN'] = platform == 'sunos'

    if conf.env['IS_LINUX']:
        conf.define ('IS_LINUX', platform )

    if conf.env['IS_MACOSX']:
        conf.define ('IS_MACOSX', platform )

    if conf.env['IS_SUN']:
        conf.define ('IS_SUN', platform )

    conf.env['OS'] = platform

    if not opt.disable_nls and opt.standalone :
        conf.load('intltool')
        conf.gxload('intltool_extras')
        if conf.env['INTLTOOL'] and conf.env['MSGFMT']:
            nls = 'yes'
        else:
            if opt.enable_nls:
                Logs.pprint ('RED', 'localization N/A')
                sys.exit (1)
            nls = 'N/A'
            conf.define_with_env('DISABLE_NLS', 1)
    else:
        nls = 'no '
        conf.define_with_env('DISABLE_NLS', 1)
    conf.define ('GETTEXT_PACKAGE', APPNAME)

    nls_flag = int(nls == 'yes')
    conf.define_with_env('ENABLE_NLS', nls_flag)
    # compiler
    conf.load('compiler_cxx')
    conf.gxload('compile-extra')
    if opt.with_gcov:
        conf.find_program('gcov')
        conf.env['CXXFLAGS'] = conf.env['CFLAGS'] = ['-fprofile-arcs', '-ftest-coverage']
        conf.env['LDFLAGS'] = ['-lgcov', '-coverage']
    if opt.python_wrapper or opt.glade_support:
        conf.load('compiler_c')
    # linker flags
    conf.env.append_value('LDFLAGS', opt.ldflags.split())
    conf.env['LINKFLAGS'] = conf.env['LDFLAGS']

    # needed libaries
    conf.check_cfg(package='sndfile', atleast_version='1.0.17', args='--cflags --libs', uselib_store='SNDFILE', mandatory=1)
    conf.check_cfg(package='gthread-2.0', atleast_version='2.24', args='--cflags --libs', uselib_store='GTHREAD', mandatory=1)
    conf.check_cfg(package='glibmm-2.4', atleast_version='2.38', args='--cflags --libs', uselib_store='GLIBMM', mandatory=1)
    conf.check(header_name='fftw3.h', mandatory=1)
    conf.check_cfg(package='fftw3f', atleast_version='3.3.8', args='--cflags --libs', uselib_store='FFTW3', mandatory=1)

    if opt.standalone or opt.new_ladspa:
        try:
            conf.check_cfg(package='jack', atleast_version='0.116.2', max_version='1.8.0', args='--cflags --libs', uselib_store='JACK', mandatory=1)
        except ConfigurationError:
            conf.check_cfg(package='jack', atleast_version='1.9.2', args='--cflags --libs', uselib_store='JACK', mandatory=1)
        # jack_session support
        code = "#include <jack/session.h>\nint main(){return JackSessionID != 0;}"
        conf.check_cxx(fragment=code, msg="Checking for jack session support", define_name='HAVE_JACK_SESSION')
    if opt.standalone:
        conf.env['STANDALONE'] = True
        conf.check_cfg(package='gmodule-export-2.0', args='--cflags --libs', uselib_store='GMODULE_EXPORT', mandatory=1)
        conf.check_cfg(package='libcurl', atleast_version='7.26.0', args='--cflags --libs', uselib_store='CURL', mandatory=1)
        conf.gxload('robotofont')
        conf.gxload('sassc')
    else:
        conf.env['NO_MAIN'] = True
        opt.no_desktop_update = True

    if opt.standalone:

=== libgxwmm/gxwmm/wscript ===
#! /usr/bin/env python
# encoding: utf-8

from waflib import Task, Options, Logs
from waflib.TaskGen import extension
import shutil, os

def options(opt):
    grp = opt.add_option_group("Guitarix Widget Library")
    grp.add_option('--shared-lib',
                   action='store_const',
                   default=False,
                   const=True,
                   help=('build shared library'),
                   )
    grp.add_option('--lib-dev',
                   action='store_const',
                   default=False,
                   const=True,
                   help=('install shared library headers'),
                   )
    grp.add_option('--no-ldconfig',
                   action='store_const',
                   default=False,
                   const=True,
                   help=('dont run ldconfig'),
                   )
    grp.add_option('--generate-cpp-wrapper',
                   action='store_const',
                   default=False,
                   const=True,
                   help=('re-generate the pre-built c++ library wrapper files (Developers only!!)'),
                   )
    grp.add_option('--generate-resources',
                   action='store_const',
                   default=False,
                   const=True,
                   help=('re-generate the pre-built gresources file (Developers only!!)'),
                   )

def configure(conf):
    opt = conf.options
    env = conf.env
    if opt.generate_cpp_wrapper:
        conf.check_cfg(package='glibmm-2.4', variables='gmmprocdir', uselib_store='GLIBMM', mandatory=True)
        conf.check_cfg(package='gtkmm-3.0', variables='gmmprocm4dir', uselib_store='GTK', mandatory=True)
        conf.check_cfg(package='atkmm-1.6', variables='gmmprocm4dir', uselib_store='ATK', mandatory=True)
        conf.check_cfg(package='pangomm-1.4', variables='gmmprocm4dir', uselib_store='PANGO', mandatory=True)
        conf.check_cfg(package='pygobject-2.0', variables='codegendir', uselib_store='PYGOBJECT', mandatory=True)
        env.USE_GENERATED_CPP = False
    else:
        env.USE_GENERATED_CPP = True
    if opt.shared_lib or opt.standalone:
        env.GX_LIB_SHARED = True
    if opt.lib_dev:
        env.GX_LIB_SHARED = True
        env.GX_LIB_DEV = True
        env.GX_LIB_STATIC = False
    if opt.no_ldconfig or opt.destdir:
        env.NO_LDCONFIG = True


def template2cc(task):
    src = task.inputs[0]
    dst = task.outputs[0]
    env = task.env
    basename = os.path.splitext(src.name)[0]
    dst.delete(evict=False)
    private = dst.parent.make_node('private')
    private.mkdir()
    spath = src.parent.bldpath()
    dpath = dst.parent.bldpath()
    cmd = ["%s/gmmproc" % env.GLIBMM_gmmprocdir,
           "--defs", dpath,
           "-I", spath,
           "-I", "%s" % env.GTK_gmmprocm4dir,
           "-I", "%s" % env.ATK_gmmprocm4dir,
           "-I", "%s" % env.PANGO_gmmprocm4dir,
           basename,
           spath,
           dpath,
           ]
    ret = task.exec_command(cmd, shell=False)
    if ret != 0:
        return ret
    generated_dir = src.parent.parent.make_node('gxwmm-generated')
    generated = generated_dir.make_node(basename).abspath()
    try:
        shutil.copy2(dst.abspath(), generated+".cc")
        shutil.copy2(dst.change_ext('.h').abspath(), generated+".h")
        shutil.copy2(private.find_node(basename+"_p.h").abspath(),
                     generated_dir.make_node(['private',basename+'_p.h']).abspath())
    except (OSError, IOError) as e:
        Logs.error("runner: cannot copy file -> %s" % e)
        return e.errno
    return 0

Task.task_factory(
    'gmmproc',
    template2cc,
    color='BLUE',
    )

@extension('.hg')
def process_hg(self, node):
        cc_node = node.change_ext('.cc')
        h_node = node.change_ext('.h')
        task = self.create_task('gmmproc', [node], [cc_node, h_node])
        task.after = ["gxwdefs"]
        task.dep_nodes.append(
            node.parent.find_resource(node.name.replace('.hg','.ccg')))
        task.dep_nodes.append(
            node.parent.find_or_declare('gxw.defs'))
        self.source.append(cc_node)

def header2defs(task):
    sources = " ".join(["'%s'" % v.bldpath() for v in task.inputs[1:]])
    path = task.generator.path
    dst = task.outputs[0].bldpath()
    flt = task.inputs[0].bldpath()
    cmd = ("python2 '%s'/h2def.py -f '%s' -m gxw %s > '%s'"
           % (task.env.PYGOBJECT_codegendir, flt, sources, dst))
    return task.exec_command(cmd, shell=True)

def build_generate_wrapper(bld):
    header = ["GxTuner.h",
              "GxRackTuner.h",
              "GxFastMeter.h",
              "GxWaveView.h",
              "GxRegler.h",
              "GxSelector.h",
              "GxSwitch.h",
              "GxToggleImage.h",
              "GxControlParameter.h",
              "GxIREdit.h",
              "GxRadioButton.h",
              "GxWheel.h",
              "GxWheelVertical.h",
              "GxKnob.h",
              "GxBigKnob.h",
              "GxMidKnob.h",
              "GxSmallKnob.h",
              "GxSmallKnobR.h",
              "GxHSlider.h",
              "GxMiniSlider.h",
              "GxVSlider.h",
              "GxEQSlider.h",
              "GxLevelSlider.h",
              "GxPaintBox.h",
              "GxMeterScale.h",
              "GxValueDisplay.h",
              "GxSimpleValueDisplay.h",
              "GxPortDisplay.h",
              "GxPlayHead.h",
              ]
    header = ["../../libgxw/gxw/"+v for v in header]
    bld.program(
        source = "generate_defs_gxw.cc",
        use = ['GTKMM','gxw'],
        lib    = 'glibmm_generate_extra_defs-2.4',
        target = 'generate_defs_gxw',
        install_path = None,
        )
    bld.add_group()
    libdir = bld.bldnode.find_or_declare("libgxw/gxw").bldpath()
    e1 = 's/GdkEvent\\*/GdkEventButton*/'
    e2 = 's/return-type "const-gchar\\*"/return-type "gchar*"/'
    bld(name = "sigdefs",
        rule = ("LD_LIBRARY_PATH=\"%s\" ${SRC} | sed -e '"+e1+"' -e '"+e2+"'> ${TGT}") % libdir,
        source = 'generate_defs_gxw',
        target = 'signals.defs',
        )
    bld(name = "mthdefs",
        rule = header2defs,
        source = ['filter.defs']+header,
        target = "methods.defs",
        )
    bld(name = "enumdefs",
        rule = bld.path.find_node('enum.pl').abspath()+" ${SRC} > ${TGT}",
        source = header,
        target = "enum.defs",
        )
    bld(name = "gxwdefs",
        rule = 'for f in ${SRC}; do echo "(include $(basename $f))"; done > ${TGT}',
        source = ["methods.defs","signals.defs","enum.defs"],
        target = "gxw.defs",
        after = ["sigdefs","mthdefs","enumdefs"],
        )
    bld(rule = "cp ${SRC} ${TGT}",
        source = "docs.xml",
        target = "gxw_docs.xml",
        )

def build(bld):
    sources = [
        "controlparameter.hg",
        "switch.hg",
        "regler.hg",
        "knob.hg",
        "bigknob.hg",
        "midknob.hg",
        "smallknob.hg",
        "smallknobr.hg",
        "tuner.hg",
        "racktuner.hg",
        "fastmeter.hg",
        "waveview.hg",
        "selector.hg",
        "toggleimage.hg",
        "iredit.hg",
        "radiobutton.hg",
        "wheel.hg",
        "wheelvertical.hg",
        "hslider.hg",
        "minislider.hg",
        "vslider.hg",
        "eqslider.hg",
        "levelslider.hg",
        "paintbox.hg",
        "meterscale.hg",
        #"gradient.hg",
        "valuedisplay.hg",
        "simplevaluedisplay.hg",
        "portdisplay.hg",
        "playhead.hg",
        ]
    env = bld.env
    bld(name='gxwmm_inc', export_includes=['..'], use='gxw_inc')
    if not env.GX_LIB_SHARED and not env.GX_LIB_STATIC:
        return
    bld.add_group()
    if env.USE_GENERATED_CPP:
        gdir = "../gxwmm-generated/"
        for v in sources:
            v = os.path.splitext(v)[0]
            for s in v+".cc", v+".h", "private/"+v+"_p.h":
                bld(name = "copy-generated-cc",
                    rule = "cp ${SRC} ${TGT}",
                    source = gdir + s,
                    target = s,
                )
        bld(name = "copy-wrap_init",
            rule = "cp ${SRC} ${TGT}",
            source = gdir + "wrap_init.cc",
            target = 'wrap_init.cc',
            )
        sources = [v.replace(".hg",".cc") for v in sources]
    else:
        bld(name = "wrap_init",
            rule = "${GLIBMM_gmmprocdir}/generate_wrap_init.pl --namespace=Gxw ${SRC} >${TGT}; cp ${TGT} ../libgxwmm/gxwmm-generated",
            source = sources,
            target = "wrap_init.cc",
            )
        build_generate_wrapper(bld)
    if env.GX_LIB_SHARED:
        bld.shlib(
            name = 'gxwmm',
            vnum = "0.1",
            includes = ['..'],
            export_includes = ['..'],
            source = sources+["init.cc","wrap_init.cc"],
            use = ['GTKMM','gxw'],
            target = 'gxwmm',
            )
        if not env.NO_LDCONFIG:
            if bld.is_install and not Options.options.destdir \
               and not Options.options.no_ldconfig and os.geteuid() == 0:
                bld.add_post_fun_ignore_errors(
                    lambda ctx: ctx.exec_command('/sbin/ldconfig'))
    else:
        bld.stlib(
            name = 'gxwmm',
            includes = ['..'],
            export_includes = ['..'],
            source = sources+["init.cc","wrap_init.cc"],
            use = ['GTKMM','gxw'],
            target = 'gxwmm',
            )
    if "RUN_DOXYGEN" in os.environ:
        # save source file list and include paths for use by doxygen
        bld(rule="echo ${SRC} > ${TGT}",
            source = (["init.cc","wrap_init.cc"] +
                      [v.replace('.hg','.h') for v in sources] +
                      [v.replace('.hg','.cc') for v in sources]),
                      #['private/'+v.replace('.hg','_p.h') for v in sources]),
            target = 'input_libgxwmm.txt',
            )

=== src/faust/wscript ===
#! /usr/bin/env python
# encoding: utf-8

def build(bld):
    if not (bld.env.STANDALONE or bld.env.NEW_LADSPA):
        return

    unused_sources = [
        'preamp.dsp',
        'inputgain.dsp',
        'AntiAlias.dsp',
        'HighShelf.dsp',
        'drive.dsp',
        'osc_tube.dsp',
        'reso_tube.dsp',
        'tube.dsp',
        'tube3.dsp',
        'tubevibrato.dsp',
        'multifilter.dsp',
        'eq.dsp',
        'outputgain.dsp',
        'feed.dsp',
        'balance1.dsp',
        'amp2.dsp',
        'stage3.dsp',
        'distortion.dsp',
        'distortion1.dsp',
        'noisegate.dsp',
        'sloop.dsp', ##float
        'vibe_lfo_triangle.dsp',
        'vibe_mono_lfo_triangle.dsp',
        ]

    sources_float = [
        'jconv_post.dsp',
        ]

    sources = [
        'jconv_post_mono.dsp',
        'presence_level.dsp',
        'cabinet_impulse_former.dsp',
        'cabinet_impulse_former_st.dsp',
        'preamp_impulse_former.dsp',
        'preamp_impulse_former_st.dsp',
        'drumseq.dsp',
        'low_high_cut.dsp',
        ]

    sources_static = [
        'vibe_mono_lfo_sine.dsp',
        'vibe_lfo_sine.dsp',
        ]

    sources_plugin_float = [
        'echo.dsp',
        'delay.dsp',
        'chorus.dsp',
        'chorus_mono.dsp',
        'stereodelay.dsp',
        'stereoecho.dsp',
        'digital_delay.dsp',
        'digital_delay_st.dsp',
        'phaser.dsp',
        'phaser_mono.dsp',
        'crybaby.dsp',
        'autowah.dsp',
        ]

    sources_plugin_double = [
        'selecteq.dsp',

        # tone stacks
        'tonestack_default.dsp',  # this one also ok in single precision
        'tonestack_bassman.dsp',
        'tonestack_twin.dsp',
        'tonestack_princeton.dsp',
        'tonestack_jcm800.dsp',
        'tonestack_jcm2000.dsp',
        'tonestack_mlead.dsp',
        'tonestack_m2199.dsp',
        'tonestack_ac30.dsp',
        'tonestack_soldano.dsp',
        'tonestack_mesa.dsp',
        'tonestack_jtm45.dsp',
        'tonestack_ac15.dsp',
        'tonestack_peavey.dsp',
        'tonestack_ibanez.dsp',
        'tonestack_roland.dsp',
        'tonestack_ampeg.dsp',
        'tonestack_ampeg_rev.dsp',
        'tonestack_sovtek.dsp',
        'tonestack_bogner.dsp',
        'tonestack_groove.dsp',
        'tonestack_crunch.dsp',
        'tonestack_fender_blues.dsp',
        'tonestack_fender_default.dsp',
        'tonestack_fender_deville.dsp',
        'tonestack_gibsen.dsp',
        'tonestack_engl.dsp',
        ]

    sources_plugin = [
        'low_high_pass.dsp',
        'gx_distortion.dsp',
        'bitdowner.dsp',
        'thick_distortion.dsp',
        'impulseresponse.dsp',
        'compressor.dsp',
        'expander.dsp',
        'overdrive.dsp',
        'freeverb.dsp',
        'biquad.dsp',
        'tremolo.dsp',
        'flanger_mono.dsp',
        'gx_feedback.dsp',
        'flanger.dsp',
        'moog.dsp',
        'gx_ampmodul.dsp',
        'tonecontroll.dsp',
        'stereoverb.dsp',
        'softclip.dsp',
        'gx_ampout.dsp',
        'gx_ampout_ladspa.dsp',
        'noise_shaper.dsp',
        'bassbooster.dsp',
        'gx_outputlevel.dsp',
        'gx_outputlevel_ladspa.dsp',
        'gxfeed.dsp',
        'highbooster.dsp',
        'peak_eq.dsp',
        'dattorros_progenitor.dsp',
        'ring_modulator.dsp',
        'ring_modulator_st.dsp',
        'panoram_enhancer.dsp',
        'graphiceq.dsp',
        'bass_enhancer.dsp',
        'gain.dsp',
        'duck_delay.dsp',
        'duck_delay_st.dsp',
        'baxandall.dsp',
        'distortion2.dsp',
        'fuzzface.dsp',
        'trbuff.dsp',
        'colwah.dsp',
        'dallaswah.dsp',
        'foxwah.dsp',
        'maestrowah.dsp',
        'voxwah.dsp',
        'selwah.dsp',
        'jenwah.dsp',
        'colbwah.dsp',
        'rolwah.dsp',
        'jenbasswah.dsp',


        # amps
        'gxamp.dsp',
        'gxamp2.dsp',
        'gxamp3.dsp',
        'gxamp4.dsp',
        'gxamp5.dsp',
        'gxamp6.dsp',
        'gxamp7.dsp',
        'gxamp8.dsp',
        'gxamp9.dsp',
        'gxamp10.dsp',
        'gxamp11.dsp',
        'gxamp12.dsp',
        'gxamp13.dsp',
        'gxamp14.dsp',
        'gxamp15.dsp',
        'gxamp16.dsp',
        'gxamp17.dsp',
        'gxamp18.dsp',
        'gxnoamp.dsp',

        # poweramps
        'champ.dsp',
        'epiphone.dsp',
        'orangedarkterror.dsp',
        'princeton.dsp',
        'plexiel34.dsp',
        'supersonic.dsp',

        # bypass mode
        'balance.dsp',
        ]

    if bld.env['FAUST']:
        arg, float_arg, double_arg = bld.get_faust_args()
        bld(
            source = sources,
            proc = "../tools/dsp2cc",
            separate_header = True,
            proc_args = arg+["--init-type=no-init-instance"],
            )
        bld(
            source = sources_float,
            proc = "../tools/dsp2cc",
            separate_header = True,
            proc_args = float_arg+["--init-type=no-init-instance"],
            )
        bld(
            source = sources_static,
            proc = "../tools/dsp2cc",
            proc_args = arg+["--init-type=no-init"],
            )
        bld(
            source = sources_plugin,
            proc = "../tools/dsp2cc",
            proc_args = arg+["--init-type=plugin-instance"],
            )
        bld(
            source = sources_plugin_float,
            proc = "../tools/dsp2cc",
            proc_args = float_arg+["--init-type=plugin-instance"]
            )
        bld(
            source = sources_plugin_double,
            proc = "../tools/dsp2cc",
            proc_args = double_arg+["--init-type=plugin-instance"]
            )
    else:
        gdir = "../faust-generated/"
        for s in (sources + sources_static + sources_float +
                  sources_plugin_float + sources_plugin_double + sources_plugin):
            s = s.replace(".dsp",".cc")
            bld(name = "copy-faust-cc",
                rule = "cp ${SRC} ${TGT}",
                source = gdir + s,
                target = s,
                )
        for s in sources + sources_float:
            s = s.replace(".dsp",".h")
            bld(name = "copy-faust-h",
                rule = "cp ${SRC} ${TGT}",
                source = gdir + s,
                target = s,
                )
    bld.add_group()

def configure(conf):
    pass

=== debian/changelog ===
guitarix (0.41.0+dfsg1-2~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * d/rules: disable dh_dwz to prevent FTBFS.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 03 Dec 2020 14:34:00 -0800

guitarix (0.41.0+dfsg1-2) unstable; urgency=medium

  * Team upload
  * Merge changes from 0.39.0+dfsg1-3.1 to fix build on i386

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 11 Aug 2020 21:33:01 +0200

guitarix (0.41.0+dfsg1-1) unstable; urgency=medium

  [ Dennis Braun ]
  * New upstream version 0.41.0
  * Build with gtk3 (Closes: #967506)
    + Update B-Ds
    + Remove gtk2 Depends from guitarix package
  * Add me as uploader
  * Update patchset
  * Update install files
  * Update documentation installation
  * Remove -Wl,--as-needed ldflags
  * Remove override_dh_missing since its default in dh 13

  [ Sebastian Ramacher ]
  * debian/copyright: Update paths

  [ Olivier Humbert ]
  * Update copyright years in d/copyright.

 -- Dennis Braun <d_braun@kabelmail.de>  Mon, 10 Aug 2020 18:26:43 +0200

guitarix (0.39.0+dfsg1-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rules: Added --disable-sse parameter to fix port baseline in i386.
    Thanks to Adrian Bunk <bunk@debian.org>. (Closes: #961380)

 -- Daniel Lenharo de Souza <lenharo@debian.org>  Wed, 10 Jun 2020 08:50:55 -0300

guitarix (0.39.0+dfsg1-3) unstable; urgency=medium

  * Fix LV2 types (Closes: #960250)
  * Fix spelling errors
  * Bump dh-compat to 13
  * Mark -dev packages as not Multi-Arch
  * Add archive and remove obsolete name field in d/upstream/metadata

 -- Dennis Braun <d_braun@kabelmail.de>  Thu, 21 May 2020 18:43:50 +0200

=== debian/control ===
Source: guitarix
Section: sound
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Víctor Cuadrado Juan <me@viccuad.me>,
           Dennis Braun <d_braun@kabelmail.de>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 12),
               fonts-roboto,
               gperf,
               intltool,
               ladspa-sdk,
               libavahi-gobject-dev,
               libbluetooth-dev [linux-any],
               libboost-dev (>= 1.53),
               libboost-iostreams-dev,
               libboost-system-dev (>= 1.53),
               libboost-thread-dev (>= 1.53),
               libeigen3-dev,
               libgladeui-dev,
               libgtk-3-dev,
               libgtkmm-3.0-dev,
               libjack-dev,
               liblilv-dev,
               liblrdf0-dev,
               libsndfile1-dev,
               libzita-convolver-dev,
               libzita-resampler-dev,
               lv2-dev,
               python3,
               sassc
Build-Depends-Indep: doxygen, graphviz
Standards-Version: 4.5.0
Homepage: https://guitarix.org
Vcs-Git: https://salsa.debian.org/multimedia-team/guitarix.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/guitarix

Package: guitarix
Architecture: any
Depends: fonts-roboto,
         guitarix-common (= ${source:Version}),
         guitarix-ladspa (>= ${source:Version}),
         guitarix-lv2 (>= ${source:Version}),
         gvfs-backends,
         jack-capture,
         lame,
         vorbis-tools,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Rock guitar amplifier for JACK
 Guitarix is a rock guitar amplifier for the JACK Audio Connection Kit with
 one input and two outputs. It provides one JACK input port and two JACK output
 ports. It is designed to produce nice trash/metal/rock/blues guitar sounds.
 Controls for bass, treble, gain, compressor, tube selector, distortion,
 flanger, freeverb, crybaby (wah), etc are available.
 .
 Guitarix is available as a GTK+ interface and the project provides LV2 and
 LADSPA plugins (see the guitarix-lv2 and guitarix-ladspa packages).
 .
 This package provides the standalone application with a GTK+ interface.

Package: guitarix-common
Architecture: all
Multi-Arch: foreign
Breaks: guitarix (<< 0.35)
Replaces: guitarix (<< 0.35)
Depends: ${misc:Depends}
Description: Guitarix - Common files
 Guitarix is a rock guitar amplifier for the JACK Audio Connection Kit with
 one input and two outputs. It is designed to produce nice
 trash/metal/rock/blues guitar sounds.
 .
 Guitarix is available as a GTK+ interface and the project provides LV2 and
 LADSPA plugins (see the guitarix-lv2 and guitarix-ladspa packages).
 .
 This package contains Guitarix's Architecture independent files. Examples of
 such shared files are: configuration files, images and sounds.

Package: guitarix-ladspa
Architecture: any
Breaks: guitarix (<< 0.35)
Replaces: guitarix (<< 0.35)
Provides: ladspa-plugin
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Guitarix - ladspa plugins
 Guitarix is a rock guitar amplifier for the JACK Audio Connection Kit with
 one input and two outputs. It is designed to produce nice
 trash/metal/rock/blues guitar sounds.
 .
 Guitarix is available as a GTK+ interface and the project provides LV2 and
 LADSPA plugins (see the guitarix-lv2 and guitarix-ladspa packages).
 .
 This package contains the ladspa audio plugins that come together with
 guitarix, but can also be used by any other ladspa host.

Package: guitarix-lv2
Architecture: any
Breaks: guitarix (<< 0.35)
Replaces: guitarix (<< 0.35)
Provides: lv2-plugin
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Guitarix - LV2 plugins
 Guitarix is a rock guitar amplifier for the JACK Audio Connection Kit with
 one input and two outputs. It is designed to produce nice
 trash/metal/rock/blues guitar sounds.
 .
 Guitarix is available as a GTK+ interface and the project provides LV2 and
 LADSPA plugins (see the guitarix-lv2 and guitarix-ladspa packages).
 .
 This package contains the LV2 audio plugins that come together with guitarix,
 but can also be used by any other LV2 host.

Package: guitarix-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: libjs-jquery, ${misc:Depends}
Suggests: guitarix
Description: Guitarix - Development documentation
 Guitarix is a rock guitar amplifier for the JACK Audio Connection Kit with
 one input and two outputs. It is designed to produce nice
 trash/metal/rock/blues guitar sounds.
 .
 Guitarix is available as a GTK+ interface and the project provides LV2 and
 LADSPA plugins (see the guitarix-lv2 and guitarix-ladspa packages).
 .
 This package contains Guitarix's Development documentation.

Package: libgxw0
Section: libs
Architecture: any
Breaks: guitarix (<< 0.35)
Replaces: guitarix (<< 0.35)
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Guitarix - GTK+ library
 Guitarix is a rock guitar amplifier for the JACK Audio Connection Kit with
 one input and two outputs. It is designed to produce nice
 trash/metal/rock/blues guitar sounds.
 .
 Guitarix is available as a GTK+ interface and the project provides LV2 and
 LADSPA plugins (see the guitarix-lv2 and guitarix-ladspa packages).
 .
 This package contains Guitarix's GTK+ library.

Package: libgxw-dev
Section: libdevel
Architecture: any
Depends: libgxw0 (= ${binary:Version}), ${misc:Depends}
Recommends: guitarix-doc
Description: Guitarix - GTK+ library (development files)
 Guitarix is a rock guitar amplifier for the JACK Audio Connection Kit with
 one input and two outputs. It is designed to produce nice
 trash/metal/rock/blues guitar sounds.
 .
 Guitarix is available as a GTK+ interface and the project provides LV2 and
 LADSPA plugins (see the guitarix-lv2 and guitarix-ladspa packages).
 .
 This package contains development files for Guitarix's GTK+ library.

Package: libgxwmm0
Section: libs
Architecture: any
Breaks: guitarix (<< 0.35)
Replaces: guitarix (<< 0.35)
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Guitarix - GTK+ C++ widget library
 Guitarix is a rock guitar amplifier for the JACK Audio Connection Kit with
 one input and two outputs. It is designed to produce nice
 trash/metal/rock/blues guitar sounds.
 .
 Guitarix is available as a GTK+ interface and the project provides LV2 and
 LADSPA plugins (see the guitarix-lv2 and guitarix-ladspa packages).
 .
 This package contains Guitarix's GTK+ C++ widget library.

Package: libgxwmm-dev
Section: libdevel
Architecture: any
Depends: libgxwmm0 (= ${binary:Version}), ${misc:Depends}
Recommends: guitarix-doc
Description: Guitarix - GTK+ C++ widget library (development files)
 Guitarix is a rock guitar amplifier for the JACK Audio Connection Kit with
 one input and two outputs. It is designed to produce nice
 trash/metal/rock/blues guitar sounds.
 .
 Guitarix is available as a GTK+ interface and the project provides LV2 and
 LADSPA plugins (see the guitarix-lv2 and guitarix-ladspa packages).
 .
 This package contains development files for Guitarix's GTK+ C++ widget library.

Package: gxw-glade
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Guitarix - GTK+ library Glade support
 Guitarix is a rock guitar amplifier for the JACK Audio Connection Kit with
 one input and two outputs. It is designed to produce nice
 trash/metal/rock/blues guitar sounds.
 .
 Guitarix is available as a GTK+ interface and the project provides LV2 and
 LADSPA plugins (see the guitarix-lv2 and guitarix-ladspa packages).
 .
 This package contains Guitarix's GTK+ library Glade support.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
else
	NUMJOBS = 1
endif

%:
	dh $@

override_dh_auto_configure:
	python3 ./waf configure --prefix=/usr --no-faust \
		--cxxflags="$(shell dpkg-buildflags --get CXXFLAGS) \
			$(shell dpkg-buildflags --get CPPFLAGS)" \
		--ldflags="$(shell dpkg-buildflags --get LDFLAGS)" -v \
		--shared-lib --lib-dev --glade-support --enable-lfs --ladspa --disable-sse

override_dh_makeshlibs:
	dh_makeshlibs -V

override_dh_auto_build-arch:
	python3 ./waf build -v --jobs=$(NUMJOBS)

override_dh_auto_build-indep:
	cd $(CURDIR)/documentation ; doxygen Doxyfile.in
	# don't use dh_doxygen because it doesn't detect the docs
	cd $(CURDIR)/html && find . -name "*.md5" -delete
	cd $(CURDIR)/html && find . -name "*.map" -delete

override_dh_auto_clean:
	python3 ./waf distclean
	rm -rf build/*
	rm -rf build/.conf*
	rm -rf build/.waf*
	find . -name "*.pyc" -delete
	rm -rf html

override_dh_auto_install:
	python3 ./waf install --destdir=$(CURDIR)/debian/tmp --libdir=$(CURDIR)/debian/tmp
	rm -f $(CURDIR)/debian/tmp/usr/share/gx_head/sounds/bands/LICENSE
	rm -f $(CURDIR)/debian/tmp/usr/share/gx_head/sounds/amps/LICENSE
	rm -f $(CURDIR)/debian/tmp/usr/lib/libgxwmm.so
	rm -f $(CURDIR)/debian/tmp/usr/lib/libgxw.so
	ln -s libgxwmm.so.0.1 $(CURDIR)/debian/tmp/usr/lib/libgxwmm.so
	ln -s libgxw.so.0.1 $(CURDIR)/debian/tmp/usr/lib/libgxw.so

override_dh_dwz:
# disable to prevent FTBFS on MX.
